com.smartgwt.client.types

## Enum TextAreaWrap

- java.lang.Object
- - java.lang.Enum<TextAreaWrap>
  - - com.smartgwt.client.types.TextAreaWrap

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<TextAreaWrap>

      public enum TextAreaWrap
      extends java.lang.Enum<TextAreaWrap>
      implements ValueEnum

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HARD` when the entered text reaches the edge of the text area, insert a line break
    `OFF` don't allow wrapping at all
    `SOFT` when the entered text reaches the edge of the text area, wrap visibly but don't include line breaks in the textarea value

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static TextAreaWrap` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TextAreaWrap[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OFF

          public static final TextAreaWrap OFF

      don't allow wrapping at all

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "off".

    - #### SOFT

          public static final TextAreaWrap SOFT

      when the entered text reaches the edge of the text area, wrap visibly but don't include line breaks in the textarea value

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "soft".

    - #### HARD

          public static final TextAreaWrap HARD

      when the entered text reaches the edge of the text area, insert a line break

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "hard".

  - ### Method Detail

    - #### values

          public static TextAreaWrap[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TextAreaWrap c : TextAreaWrap.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TextAreaWrap valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`